Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QFontComboBox.FontFilter

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QFontComboBox.FontFilter

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QFontComboBox

    public static final class QFontComboBox.FontFilter

extends java.lang.Enum
implements QtEnumerator

This enum can be used to only show certain types of fonts in the font combo box.

See Also:
  Serialized Form

Field Summary
`static QFontComboBox.FontFilter` | `AllFonts` Show all fonts.
`static QFontComboBox.FontFilter` | `MonospacedFonts` Show monospaced fonts.
`static QFontComboBox.FontFilter` | `NonScalableFonts` Show non scalable fonts.
`static QFontComboBox.FontFilter` | `ProportionalFonts` Show proportional fonts.
`static QFontComboBox.FontFilter` | `ScalableFonts` Show scalable fonts.

Method Summary
`static QFontComboBox.FontFilters` | `createQFlags(QFontComboBox.FontFilter[] values)` This function creates a com.trolltech.qt.gui.QFontComboBox$FontFilters with the specified `com.trolltech.qt.gui.QFontComboBox$FontFilter[]` FontFilter values set.
`static QFontComboBox.FontFilter` | `resolve(int value)` Returns the FontFilter constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QFontComboBox.FontFilter` | `valueOf(java.lang.String name)`
`static QFontComboBox.FontFilter[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### AllFonts

    public static final QFontComboBox.FontFilter AllFonts

  Show all fonts.

### ScalableFonts

    public static final QFontComboBox.FontFilter ScalableFonts

  Show scalable fonts.

### NonScalableFonts

    public static final QFontComboBox.FontFilter NonScalableFonts

  Show non scalable fonts.

### MonospacedFonts

    public static final QFontComboBox.FontFilter MonospacedFonts

  Show monospaced fonts.

### ProportionalFonts

    public static final QFontComboBox.FontFilter ProportionalFonts

  Show proportional fonts.

Method Detail

### values

    public static QFontComboBox.FontFilter[] values()

### valueOf

    public static QFontComboBox.FontFilter valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static QFontComboBox.FontFilters createQFlags(QFontComboBox.FontFilter[] values)

  This function creates a com.trolltech.qt.gui.QFontComboBox$FontFilters with the specified `com.trolltech.qt.gui.QFontComboBox$FontFilter[]` FontFilter values set.

### resolve

    public static QFontComboBox.FontFilter resolve(int value)

  Returns the FontFilter constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD